### Method

# AppStreamCompose Result remove_component_by_id

#### Declaration [src]

    gboolean
    asc_result_remove_component_by_id (
      AscResult* result,
      const gchar* cid
    )

#### Description [src]

Remove a component from the results set.

#### Parameters

`cid`

  Type: `const gchar*`

  A component-ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the component was found and removed.